1. Payin
API Documentation
  • API Documentation Change Log
  • API Reference Guide
    • List of Payin Methods
    • List of Payout Methods
    • List of Supported Bank
    • Payout Payload Example
    • Purpose Code
    • Checkout Page Flow
  • API Documentation
    • Master Data
      • Get All Country & Currency Code
    • Payout Method
      • Get All Payout Method
    • Payin Method
      • Get All Payin Method
    • Payin
      • Create Payin
        POST
      • Simulate Payin
        PATCH
      • Retrieve Payin
        GET
    • Payout
      • Create Payout
      • Simulate Payout
      • Retrieve Payout
      • Get All Payout
    • Checkout
      • Create Payment Request
      • Get All Checkout
      • Get Detail Checkout
      • Create New Checkout
    • Webhook
      • Webhook PAYIN SUCCESS
      • Webhook PAYIN FAILED
      • Webhook PAYIN EXPIRED
      • Webhook PAYOUT SUCCESS
      • Webhook PAYOUT FAILED
      • Webhook PAYOUT RETURNED
    • Merchant
      • Get Balance Payout
    • Get List Payment Method by Currency
      GET
  • Features Documentation
    • Dashboard
    • Transaction
      • Payin
      • Payout
      • Rolling Reserve
      • Refund Request
    • Finance
      • Settlement Report APM
      • Settlement Report CARD
      • History Balance APM
      • History Balance CARD
    • Account
      • Profile Account
      • Manage Users
    • Setting
      • Integration Details
  1. Payin

Retrieve Payin

GET
/api/v1/payin/retrieve-payin/{id}
This API is used to retrieve details of payin transaction by using payin_id parameter.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paycombat.com/api/v1/payin/retrieve-payin/a8bbced9-09c7-4e7e-9c70-548d5a43a9b2' \
--header 'X-token: snd_eyJpdiI6IkdrTDlKVDlFUnhJc0paY1BwNjMrZWc9PSIsInZhbHVlIjoiZU03bXRtQ3JQS2tNTXI1ZHVaakRzZFpXK292SWRZTExzY0MzL1Z5RzZoRHA5bnRRSTU5bW9FSENvSkh2N2N6RiIsIm1hYyI6IjkxOGU1Yzk1ZWRlYTFjMTNkZGYzMmI0NGE0MDU4MzRjYzA1YzA3Y2RmZDg2ZmQ2YWJiZGU0YWU0NmE0YTRmNWMiLCJ0YWciOiIifQ=='

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": true,
    "message": "Success retrieve payin",
    "data": {
        "id": "0c40825f-7c6d-46e1-8dd1-a627ab5e4960",
        "merchant_id": "9c9ddee6-40d6-4190-ad38-c14dc03eab16",
        "reply_code_id_pg": "VRX-VA-w2ZwJktohvxeGK0",
        "status": "PENDING",
        "amount": "23750",
        "original_amount": "25000",
        "amount_type": "IDR",
        "transaction": "invoice_21072026_0000193",
        "transaction_date": "2026-01-28T06:18:09.000Z",
        "payment_method": "VA BRI",
        "order_reference": "invoice_21072026_0000193",
        "customer_full_name": "Fjr",
        "reply_code": "{\"va_number\":\"1456118860040203\",\"channel\":\"BRI\"}",
        "brand": "Blackpink",
        "currency": "FIAT",
        "credit_type": "VA",
        "payer_id": "256699df-721c-48b5-84ed-bf794b87173b",
        "recon_id": "invoice_21072026_0000193",
        "order_reference_1": "invoice_21072026_0000193",
        "order_reference_2": "invoice_21072026_0000193",
        "platform_identifier": "invoice_21072026_00001935",
        "trx_type": "DIRECT_PAYIN",
        "customer_email": "testpayin777@yopmail.com",
        "customer_phone": "+6281116781122",
        "customer_personal_number": "",
        "fee_taken": "1250",
        "fee_expected": "1250",
        "charge_back": "0",
        "rolling_serve": "0",
        "retrieval": "0",
        "is_black_list": 0,
        "ip_address": "",
        "billing_address_country": null,
        "billing_address_city": "",
        "billing_address_zip_code": "",
        "billing_address": "",
        "bin": "",
        "is_3ds": "",
        "payment_date": null,
        "vpa": null,
        "utr": null,
        "settlement_status": null,
        "settled_at": null
    }
}
🟠400Bad Request
Modified at 2026-08-12 02:52:28
Previous
Simulate Payin
Next
Payout